mergeFunc {aCGH} | R Documentation

## Funtion to merge states based on their state means

### Description

`mergeFunc` takes the output of hmm.run.func (or find.hmm.states) with a particular model selection criterion and iteratively merges the states with means closer than a supplied threshold. `mergeHmmStates` is a frontend for `mergeFunc` using `aCGH` object.

### Usage

    mergeHmmStates(aCGH.obj, model.use = 1, minDiff = 0.25)
    mergeFunc(statesres = states.bic, minDiff = 0.1)

### Arguments

`aCGH.obj` | Object of class `aCGH`.
`statesres` | the sublist of the states.hmm list output from `find.hmm.states` for a given model selection crterion
`minDiff` | The states whose predicted values are less than minDiff apart are merged into one state and all the predicited values are recomputed.
`model.use` | Model selection criterion to use, See `find.hmm.states`.

### Details

This function is intended to reduce effect of the possible small magnitude technological artifacts on the structure determination.

### Value

List containing states.hmm object is returned.

### Author(s)

Jane Fridlyand

### References

Application of Hidden Markov Models to the analysis of the array CGH data, Fridlyand et.al., JMVA, 2004

### See Also

`aCGH`, `find.hmm.states`

[Package aCGH version 1.4.1 Index]